// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/gateway.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GatewayCallRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BaseDate  int64  `protobuf:"varint,1,opt,name=base_date,json=baseDate,proto3" json:"base_date,omitempty"`
	Duration  int64  `protobuf:"varint,2,opt,name=duration,proto3" json:"duration,omitempty"`
	GatewayId string `protobuf:"bytes,3,opt,name=gateway_id,json=gatewayId,proto3" json:"gateway_id,omitempty"` // если интересует конкретный гейт
}

func (x *GatewayCallRequest) Reset() {
	*x = GatewayCallRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_gateway_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GatewayCallRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GatewayCallRequest) ProtoMessage() {}

func (x *GatewayCallRequest) ProtoReflect() protoreflect.Message {
	mi := &file_admin_gateway_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GatewayCallRequest.ProtoReflect.Descriptor instead.
func (*GatewayCallRequest) Descriptor() ([]byte, []int) {
	return file_admin_gateway_proto_rawDescGZIP(), []int{0}
}

func (x *GatewayCallRequest) GetBaseDate() int64 {
	if x != nil {
		return x.BaseDate
	}
	return 0
}

func (x *GatewayCallRequest) GetDuration() int64 {
	if x != nil {
		return x.Duration
	}
	return 0
}

func (x *GatewayCallRequest) GetGatewayId() string {
	if x != nil {
		return x.GatewayId
	}
	return ""
}

type GatewayCall struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id           string  `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`                                            // идентификатор звонка
	Stamp        int64   `protobuf:"varint,2,opt,name=stamp,proto3" json:"stamp,omitempty"`                                     // точное время
	Duration     int64   `protobuf:"varint,3,opt,name=duration,proto3" json:"duration,omitempty"`                               // длительность разговора в секундах
	Await        int64   `protobuf:"varint,4,opt,name=await,proto3" json:"await,omitempty"`                                     // время дозвона в секундах
	DialNumber   string  `protobuf:"bytes,5,opt,name=dial_number,json=dialNumber,proto3" json:"dial_number,omitempty"`          //номер набора
	RemoteHost   string  `protobuf:"bytes,6,opt,name=remote_host,json=remoteHost,proto3" json:"remote_host,omitempty"`          //ip удаленной стороны с которй велся диалог
	RealNumber   string  `protobuf:"bytes,7,opt,name=real_number,json=realNumber,proto3" json:"real_number,omitempty"`          //фактический (преобразованый) номер набора
	GateCost     float64 `protobuf:"fixed64,8,opt,name=gate_cost,json=gateCost,proto3" json:"gate_cost,omitempty"`              // стоимость звонка на стороен оператора
	CustomerCost float64 `protobuf:"fixed64,9,opt,name=customer_cost,json=customerCost,proto3" json:"customer_cost,omitempty"`  // стоимость звонка для клиента
	GatewayName  string  `protobuf:"bytes,10,opt,name=gateway_name,json=gatewayName,proto3" json:"gateway_name,omitempty"`      // имя гейта
	GatewayId    string  `protobuf:"bytes,11,opt,name=gateway_id,json=gatewayId,proto3" json:"gateway_id,omitempty"`            // id гейта
	HangupCause  string  `protobuf:"bytes,12,opt,name=hangup_cause,json=hangupCause,proto3" json:"hangup_cause,omitempty"`      // причина завершения вызова
	InviteError  string  `protobuf:"bytes,13,opt,name=invite_error,json=inviteError,proto3" json:"invite_error,omitempty"`      // ошибка на invite
	ParentCallId string  `protobuf:"bytes,14,opt,name=parent_call_id,json=parentCallId,proto3" json:"parent_call_id,omitempty"` // id гейта
	UserId       string  `protobuf:"bytes,15,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`                     // id аккаунта инициатора
	UserEmail    string  `protobuf:"bytes,16,opt,name=user_email,json=userEmail,proto3" json:"user_email,omitempty"`            // email аккаунта инициатора
	CallerId     string  `protobuf:"bytes,17,opt,name=caller_id,json=callerId,proto3" json:"caller_id,omitempty"`               // запрошеный caller id
	Quality      float64 `protobuf:"fixed64,18,opt,name=quality,proto3" json:"quality,omitempty"`                               // оценка качества потерь пакетов
}

func (x *GatewayCall) Reset() {
	*x = GatewayCall{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_gateway_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GatewayCall) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GatewayCall) ProtoMessage() {}

func (x *GatewayCall) ProtoReflect() protoreflect.Message {
	mi := &file_admin_gateway_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GatewayCall.ProtoReflect.Descriptor instead.
func (*GatewayCall) Descriptor() ([]byte, []int) {
	return file_admin_gateway_proto_rawDescGZIP(), []int{1}
}

func (x *GatewayCall) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *GatewayCall) GetStamp() int64 {
	if x != nil {
		return x.Stamp
	}
	return 0
}

func (x *GatewayCall) GetDuration() int64 {
	if x != nil {
		return x.Duration
	}
	return 0
}

func (x *GatewayCall) GetAwait() int64 {
	if x != nil {
		return x.Await
	}
	return 0
}

func (x *GatewayCall) GetDialNumber() string {
	if x != nil {
		return x.DialNumber
	}
	return ""
}

func (x *GatewayCall) GetRemoteHost() string {
	if x != nil {
		return x.RemoteHost
	}
	return ""
}

func (x *GatewayCall) GetRealNumber() string {
	if x != nil {
		return x.RealNumber
	}
	return ""
}

func (x *GatewayCall) GetGateCost() float64 {
	if x != nil {
		return x.GateCost
	}
	return 0
}

func (x *GatewayCall) GetCustomerCost() float64 {
	if x != nil {
		return x.CustomerCost
	}
	return 0
}

func (x *GatewayCall) GetGatewayName() string {
	if x != nil {
		return x.GatewayName
	}
	return ""
}

func (x *GatewayCall) GetGatewayId() string {
	if x != nil {
		return x.GatewayId
	}
	return ""
}

func (x *GatewayCall) GetHangupCause() string {
	if x != nil {
		return x.HangupCause
	}
	return ""
}

func (x *GatewayCall) GetInviteError() string {
	if x != nil {
		return x.InviteError
	}
	return ""
}

func (x *GatewayCall) GetParentCallId() string {
	if x != nil {
		return x.ParentCallId
	}
	return ""
}

func (x *GatewayCall) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *GatewayCall) GetUserEmail() string {
	if x != nil {
		return x.UserEmail
	}
	return ""
}

func (x *GatewayCall) GetCallerId() string {
	if x != nil {
		return x.CallerId
	}
	return ""
}

func (x *GatewayCall) GetQuality() float64 {
	if x != nil {
		return x.Quality
	}
	return 0
}

type VoipGateway struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          string             `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name        string             `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description string             `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Params      map[string]string  `protobuf:"bytes,4,rep,name=params,proto3" json:"params,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Variables   map[string]string  `protobuf:"bytes,5,rep,name=variables,proto3" json:"variables,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Disabled    bool               `protobuf:"varint,6,opt,name=disabled,proto3" json:"disabled,omitempty"`
	Rateid      string             `protobuf:"bytes,7,opt,name=rateid,proto3" json:"rateid,omitempty"`
	Priority    int32              `protobuf:"varint,8,opt,name=priority,proto3" json:"priority,omitempty"`
	PrefixRules []*VoipGatewayRule `protobuf:"bytes,9,rep,name=prefixRules,proto3" json:"prefixRules,omitempty"`
	Group       []string           `protobuf:"bytes,10,rep,name=group,proto3" json:"group,omitempty"`
	Deleted     bool               `protobuf:"varint,99,opt,name=deleted,proto3" json:"deleted,omitempty"`
}

func (x *VoipGateway) Reset() {
	*x = VoipGateway{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_gateway_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipGateway) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipGateway) ProtoMessage() {}

func (x *VoipGateway) ProtoReflect() protoreflect.Message {
	mi := &file_admin_gateway_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipGateway.ProtoReflect.Descriptor instead.
func (*VoipGateway) Descriptor() ([]byte, []int) {
	return file_admin_gateway_proto_rawDescGZIP(), []int{2}
}

func (x *VoipGateway) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VoipGateway) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *VoipGateway) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *VoipGateway) GetParams() map[string]string {
	if x != nil {
		return x.Params
	}
	return nil
}

func (x *VoipGateway) GetVariables() map[string]string {
	if x != nil {
		return x.Variables
	}
	return nil
}

func (x *VoipGateway) GetDisabled() bool {
	if x != nil {
		return x.Disabled
	}
	return false
}

func (x *VoipGateway) GetRateid() string {
	if x != nil {
		return x.Rateid
	}
	return ""
}

func (x *VoipGateway) GetPriority() int32 {
	if x != nil {
		return x.Priority
	}
	return 0
}

func (x *VoipGateway) GetPrefixRules() []*VoipGatewayRule {
	if x != nil {
		return x.PrefixRules
	}
	return nil
}

func (x *VoipGateway) GetGroup() []string {
	if x != nil {
		return x.Group
	}
	return nil
}

func (x *VoipGateway) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

type VoipGatewayRule struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Order  int32  `protobuf:"varint,1,opt,name=order,proto3" json:"order,omitempty"`
	Regexp string `protobuf:"bytes,2,opt,name=regexp,proto3" json:"regexp,omitempty"`
}

func (x *VoipGatewayRule) Reset() {
	*x = VoipGatewayRule{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_gateway_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipGatewayRule) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipGatewayRule) ProtoMessage() {}

func (x *VoipGatewayRule) ProtoReflect() protoreflect.Message {
	mi := &file_admin_gateway_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipGatewayRule.ProtoReflect.Descriptor instead.
func (*VoipGatewayRule) Descriptor() ([]byte, []int) {
	return file_admin_gateway_proto_rawDescGZIP(), []int{3}
}

func (x *VoipGatewayRule) GetOrder() int32 {
	if x != nil {
		return x.Order
	}
	return 0
}

func (x *VoipGatewayRule) GetRegexp() string {
	if x != nil {
		return x.Regexp
	}
	return ""
}

type VoipGatewayStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string            `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Hostname  string            `protobuf:"bytes,2,opt,name=hostname,proto3" json:"hostname,omitempty"`
	Params    map[string]string `protobuf:"bytes,3,rep,name=params,proto3" json:"params,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	Createdms int64             `protobuf:"varint,4,opt,name=createdms,proto3" json:"createdms,omitempty"`
}

func (x *VoipGatewayStatus) Reset() {
	*x = VoipGatewayStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_gateway_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VoipGatewayStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VoipGatewayStatus) ProtoMessage() {}

func (x *VoipGatewayStatus) ProtoReflect() protoreflect.Message {
	mi := &file_admin_gateway_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VoipGatewayStatus.ProtoReflect.Descriptor instead.
func (*VoipGatewayStatus) Descriptor() ([]byte, []int) {
	return file_admin_gateway_proto_rawDescGZIP(), []int{4}
}

func (x *VoipGatewayStatus) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VoipGatewayStatus) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

func (x *VoipGatewayStatus) GetParams() map[string]string {
	if x != nil {
		return x.Params
	}
	return nil
}

func (x *VoipGatewayStatus) GetCreatedms() int64 {
	if x != nil {
		return x.Createdms
	}
	return 0
}

var File_admin_gateway_proto protoreflect.FileDescriptor

var file_admin_gateway_proto_rawDesc = []byte{
	0x0a, 0x13, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x0c, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x6c, 0x0a, 0x12, 0x47, 0x61, 0x74,
	0x65, 0x77, 0x61, 0x79, 0x43, 0x61, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x1b, 0x0a, 0x09, 0x62, 0x61, 0x73, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x08, 0x62, 0x61, 0x73, 0x65, 0x44, 0x61, 0x74, 0x65, 0x12, 0x1a, 0x0a, 0x08,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08,
	0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x67, 0x61,
	0x74, 0x65, 0x77, 0x61, 0x79, 0x49, 0x64, 0x22, 0xa7, 0x04, 0x0a, 0x0b, 0x47, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x43, 0x61, 0x6c, 0x6c, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12, 0x1a, 0x0a,
	0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x77, 0x61,
	0x69, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x61, 0x77, 0x61, 0x69, 0x74, 0x12,
	0x1f, 0x0a, 0x0b, 0x64, 0x69, 0x61, 0x6c, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x64, 0x69, 0x61, 0x6c, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72,
	0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x6d, 0x6f, 0x74, 0x65, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x6d, 0x6f, 0x74, 0x65, 0x48, 0x6f, 0x73,
	0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x72, 0x65, 0x61, 0x6c, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72,
	0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x72, 0x65, 0x61, 0x6c, 0x4e, 0x75, 0x6d, 0x62,
	0x65, 0x72, 0x12, 0x1b, 0x0a, 0x09, 0x67, 0x61, 0x74, 0x65, 0x5f, 0x63, 0x6f, 0x73, 0x74, 0x18,
	0x08, 0x20, 0x01, 0x28, 0x01, 0x52, 0x08, 0x67, 0x61, 0x74, 0x65, 0x43, 0x6f, 0x73, 0x74, 0x12,
	0x23, 0x0a, 0x0d, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x65, 0x72, 0x5f, 0x63, 0x6f, 0x73, 0x74,
	0x18, 0x09, 0x20, 0x01, 0x28, 0x01, 0x52, 0x0c, 0x63, 0x75, 0x73, 0x74, 0x6f, 0x6d, 0x65, 0x72,
	0x43, 0x6f, 0x73, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x5f,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x67, 0x61, 0x74, 0x65,
	0x77, 0x61, 0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x67, 0x61, 0x74, 0x65, 0x77,
	0x61, 0x79, 0x5f, 0x69, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x67, 0x61, 0x74,
	0x65, 0x77, 0x61, 0x79, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x68, 0x61, 0x6e, 0x67, 0x75, 0x70,
	0x5f, 0x63, 0x61, 0x75, 0x73, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x68, 0x61,
	0x6e, 0x67, 0x75, 0x70, 0x43, 0x61, 0x75, 0x73, 0x65, 0x12, 0x21, 0x0a, 0x0c, 0x69, 0x6e, 0x76,
	0x69, 0x74, 0x65, 0x5f, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0b, 0x69, 0x6e, 0x76, 0x69, 0x74, 0x65, 0x45, 0x72, 0x72, 0x6f, 0x72, 0x12, 0x24, 0x0a, 0x0e,
	0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x61, 0x6c, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x0e,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x43, 0x61, 0x6c, 0x6c,
	0x49, 0x64, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x0f, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x75,
	0x73, 0x65, 0x72, 0x5f, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x10, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x75, 0x73, 0x65, 0x72, 0x45, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x1b, 0x0a, 0x09, 0x63, 0x61,
	0x6c, 0x6c, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x11, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63,
	0x61, 0x6c, 0x6c, 0x65, 0x72, 0x49, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69,
	0x74, 0x79, 0x18, 0x12, 0x20, 0x01, 0x28, 0x01, 0x52, 0x07, 0x71, 0x75, 0x61, 0x6c, 0x69, 0x74,
	0x79, 0x22, 0xac, 0x04, 0x0a, 0x0b, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61,
	0x79, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69,
	0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x45, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x61, 0x6d,
	0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2d, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56,
	0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2e, 0x50, 0x61, 0x72, 0x61, 0x6d,
	0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x12, 0x4e,
	0x0a, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x30, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74,
	0x65, 0x77, 0x61, 0x79, 0x2e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x09, 0x76, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x12, 0x1a,
	0x0a, 0x08, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x08, 0x64, 0x69, 0x73, 0x61, 0x62, 0x6c, 0x65, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x72, 0x61,
	0x74, 0x65, 0x69, 0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x61, 0x74, 0x65,
	0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x18, 0x08,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x70, 0x72, 0x69, 0x6f, 0x72, 0x69, 0x74, 0x79, 0x12, 0x47,
	0x0a, 0x0b, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78, 0x52, 0x75, 0x6c, 0x65, 0x73, 0x18, 0x09, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52, 0x75, 0x6c, 0x65, 0x52, 0x0b, 0x70, 0x72, 0x65, 0x66,
	0x69, 0x78, 0x52, 0x75, 0x6c, 0x65, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70,
	0x18, 0x0a, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x18, 0x0a,
	0x07, 0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x63, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x1a, 0x39, 0x0a, 0x0b, 0x50, 0x61, 0x72, 0x61, 0x6d,
	0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02,
	0x38, 0x01, 0x1a, 0x3c, 0x0a, 0x0e, 0x56, 0x61, 0x72, 0x69, 0x61, 0x62, 0x6c, 0x65, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01,
	0x22, 0x3f, 0x0a, 0x0f, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x52,
	0x75, 0x6c, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x16, 0x0a, 0x06, 0x72, 0x65, 0x67,
	0x65, 0x78, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x72, 0x65, 0x67, 0x65, 0x78,
	0x70, 0x22, 0xe5, 0x01, 0x0a, 0x11, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61,
	0x79, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x4b, 0x0a, 0x06, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x18, 0x03, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x50, 0x61, 0x72,
	0x61, 0x6d, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x70, 0x61, 0x72, 0x61, 0x6d, 0x73,
	0x12, 0x1c, 0x0a, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x6d, 0x73, 0x1a, 0x39,
	0x0a, 0x0b, 0x50, 0x61, 0x72, 0x61, 0x6d, 0x73, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a,
	0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12,
	0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38, 0x01, 0x32, 0x9d, 0x03, 0x0a, 0x07, 0x47, 0x61,
	0x74, 0x65, 0x77, 0x61, 0x79, 0x12, 0x4a, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x21, 0x2e, 0x63,
	0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64,
	0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x30,
	0x01, 0x12, 0x4f, 0x0a, 0x09, 0x47, 0x65, 0x74, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x17,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65, 0x1a, 0x27, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56,
	0x6f, 0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x30, 0x01, 0x12, 0x62, 0x0a, 0x11, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x43, 0x61, 0x6c,
	0x6c, 0x52, 0x65, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x28, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x43, 0x61, 0x6c, 0x6c, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79,
	0x43, 0x61, 0x6c, 0x6c, 0x30, 0x01, 0x12, 0x51, 0x0a, 0x09, 0x47, 0x65, 0x74, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x1a, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f,
	0x69, 0x70, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x12, 0x3e, 0x0a, 0x06, 0x55, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x12, 0x21, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x56, 0x6f, 0x69, 0x70, 0x47,
	0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65,
	0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42, 0x70, 0x0a, 0x14, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x42, 0x0b, 0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00,
	0x5a, 0x3b, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74,
	0x61, 0x43, 0x6f, 0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f,
	0x73, 0x64, 0x6b, 0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x3b, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x0b,
	0x47, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_admin_gateway_proto_rawDescOnce sync.Once
	file_admin_gateway_proto_rawDescData = file_admin_gateway_proto_rawDesc
)

func file_admin_gateway_proto_rawDescGZIP() []byte {
	file_admin_gateway_proto_rawDescOnce.Do(func() {
		file_admin_gateway_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_gateway_proto_rawDescData)
	})
	return file_admin_gateway_proto_rawDescData
}

var file_admin_gateway_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_admin_gateway_proto_goTypes = []interface{}{
	(*GatewayCallRequest)(nil), // 0: com.freeje.api.admin.GatewayCallRequest
	(*GatewayCall)(nil),        // 1: com.freeje.api.admin.GatewayCall
	(*VoipGateway)(nil),        // 2: com.freeje.api.admin.VoipGateway
	(*VoipGatewayRule)(nil),    // 3: com.freeje.api.admin.VoipGatewayRule
	(*VoipGatewayStatus)(nil),  // 4: com.freeje.api.admin.VoipGatewayStatus
	nil,                        // 5: com.freeje.api.admin.VoipGateway.ParamsEntry
	nil,                        // 6: com.freeje.api.admin.VoipGateway.VariablesEntry
	nil,                        // 7: com.freeje.api.admin.VoipGatewayStatus.ParamsEntry
	(*api.RequestMode)(nil),    // 8: com.freeje.RequestMode
	(*api.Empty)(nil),          // 9: com.freeje.Empty
}
var file_admin_gateway_proto_depIdxs = []int32{
	5, // 0: com.freeje.api.admin.VoipGateway.params:type_name -> com.freeje.api.admin.VoipGateway.ParamsEntry
	6, // 1: com.freeje.api.admin.VoipGateway.variables:type_name -> com.freeje.api.admin.VoipGateway.VariablesEntry
	3, // 2: com.freeje.api.admin.VoipGateway.prefixRules:type_name -> com.freeje.api.admin.VoipGatewayRule
	7, // 3: com.freeje.api.admin.VoipGatewayStatus.params:type_name -> com.freeje.api.admin.VoipGatewayStatus.ParamsEntry
	8, // 4: com.freeje.api.admin.Gateway.GetConfigs:input_type -> com.freeje.RequestMode
	8, // 5: com.freeje.api.admin.Gateway.GetStatus:input_type -> com.freeje.RequestMode
	0, // 6: com.freeje.api.admin.Gateway.GatewayCallReport:input_type -> com.freeje.api.admin.GatewayCallRequest
	2, // 7: com.freeje.api.admin.Gateway.GetConfig:input_type -> com.freeje.api.admin.VoipGateway
	2, // 8: com.freeje.api.admin.Gateway.Update:input_type -> com.freeje.api.admin.VoipGateway
	2, // 9: com.freeje.api.admin.Gateway.GetConfigs:output_type -> com.freeje.api.admin.VoipGateway
	4, // 10: com.freeje.api.admin.Gateway.GetStatus:output_type -> com.freeje.api.admin.VoipGatewayStatus
	1, // 11: com.freeje.api.admin.Gateway.GatewayCallReport:output_type -> com.freeje.api.admin.GatewayCall
	2, // 12: com.freeje.api.admin.Gateway.GetConfig:output_type -> com.freeje.api.admin.VoipGateway
	9, // 13: com.freeje.api.admin.Gateway.Update:output_type -> com.freeje.Empty
	9, // [9:14] is the sub-list for method output_type
	4, // [4:9] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_admin_gateway_proto_init() }
func file_admin_gateway_proto_init() {
	if File_admin_gateway_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_gateway_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GatewayCallRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_gateway_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GatewayCall); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_gateway_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipGateway); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_gateway_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipGatewayRule); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_gateway_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VoipGatewayStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_gateway_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_gateway_proto_goTypes,
		DependencyIndexes: file_admin_gateway_proto_depIdxs,
		MessageInfos:      file_admin_gateway_proto_msgTypes,
	}.Build()
	File_admin_gateway_proto = out.File
	file_admin_gateway_proto_rawDesc = nil
	file_admin_gateway_proto_goTypes = nil
	file_admin_gateway_proto_depIdxs = nil
}
